curl --request POST \
--url https://{region}.affinda.com/v2/job_description_search/details/{identifier} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"indices": [
"all-job-descriptions"
],
"resume": "<string>",
"jobTitles": [
"<string>"
],
"jobTitlesRequired": true,
"jobTitlesWeight": 0.5,
"totalYearsExperience": 123,
"yearsExperienceRequired": true,
"yearsExperienceWeight": 0.5,
"locations": [
{
"name": "",
"coordinates": {
"latitude": 123,
"longitude": 123
},
"distance": 100,
"unit": "km"
}
],
"locationsWeight": 0.5,
"locationsRequired": true,
"skills": [
{
"name": "<string>",
"required": true
}
],
"skillsWeight": 0.5,
"languages": [
{
"name": "<string>",
"required": true
}
],
"languagesWeight": 0.5,
"degrees": [
"<string>"
],
"degreesRequired": true,
"degreeTypes": [
"bachelors"
],
"degreeTypesRequired": true,
"educationWeight": 0.5,
"searchExpression": "<string>",
"searchExpressionRequired": true,
"searchExpressionWeight": 0.5,
"socCodes": [
5000
],
"socCodesWeight": 0.5,
"socCodesRequired": true,
"managementLevel": "Low",
"managementLevelRequired": true,
"managementLevelWeight": 0.5,
"customData": [
{
"filterType": "equals",
"query": {
"value": true
},
"dataPoint": "isAvailable",
"field": "isAvailable",
"required": true,
"weight": 0.5
}
]
}
'import requests
url = "https://{region}.affinda.com/v2/job_description_search/details/{identifier}"
payload = {
"indices": ["all-job-descriptions"],
"resume": "<string>",
"jobTitles": ["<string>"],
"jobTitlesRequired": True,
"jobTitlesWeight": 0.5,
"totalYearsExperience": 123,
"yearsExperienceRequired": True,
"yearsExperienceWeight": 0.5,
"locations": [
{
"name": "",
"coordinates": {
"latitude": 123,
"longitude": 123
},
"distance": 100,
"unit": "km"
}
],
"locationsWeight": 0.5,
"locationsRequired": True,
"skills": [
{
"name": "<string>",
"required": True
}
],
"skillsWeight": 0.5,
"languages": [
{
"name": "<string>",
"required": True
}
],
"languagesWeight": 0.5,
"degrees": ["<string>"],
"degreesRequired": True,
"degreeTypes": ["bachelors"],
"degreeTypesRequired": True,
"educationWeight": 0.5,
"searchExpression": "<string>",
"searchExpressionRequired": True,
"searchExpressionWeight": 0.5,
"socCodes": [5000],
"socCodesWeight": 0.5,
"socCodesRequired": True,
"managementLevel": "Low",
"managementLevelRequired": True,
"managementLevelWeight": 0.5,
"customData": [
{
"filterType": "equals",
"query": { "value": True },
"dataPoint": "isAvailable",
"field": "isAvailable",
"required": True,
"weight": 0.5
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
indices: ['all-job-descriptions'],
resume: '<string>',
jobTitles: ['<string>'],
jobTitlesRequired: true,
jobTitlesWeight: 0.5,
totalYearsExperience: 123,
yearsExperienceRequired: true,
yearsExperienceWeight: 0.5,
locations: [
{
name: '',
coordinates: {latitude: 123, longitude: 123},
distance: 100,
unit: 'km'
}
],
locationsWeight: 0.5,
locationsRequired: true,
skills: [{name: '<string>', required: true}],
skillsWeight: 0.5,
languages: [{name: '<string>', required: true}],
languagesWeight: 0.5,
degrees: ['<string>'],
degreesRequired: true,
degreeTypes: ['bachelors'],
degreeTypesRequired: true,
educationWeight: 0.5,
searchExpression: '<string>',
searchExpressionRequired: true,
searchExpressionWeight: 0.5,
socCodes: [5000],
socCodesWeight: 0.5,
socCodesRequired: true,
managementLevel: 'Low',
managementLevelRequired: true,
managementLevelWeight: 0.5,
customData: [
{
filterType: 'equals',
query: {value: true},
dataPoint: 'isAvailable',
field: 'isAvailable',
required: true,
weight: 0.5
}
]
})
};
fetch('https://{region}.affinda.com/v2/job_description_search/details/{identifier}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"jobTitle": {
"missing": [
"<string>"
],
"value": {
"name": "Javascript developer",
"companyName": "Affinda",
"match": true
}
},
"location": {
"missing": [
{
"name": "",
"coordinates": {
"latitude": 123,
"longitude": 123
},
"distance": 100,
"unit": "km"
}
],
"value": {
"rawInput": "Blacksburg, VA",
"formatted": "Blacksburg, VA, USA",
"postalCode": "3124",
"state": "Virginia",
"stateCode": "TX",
"country": "United States",
"countryCode": "US",
"streetNumber": "1",
"street": "Smith St",
"apartmentNumber": "12",
"city": "Blacksburg",
"latitude": "67.0124",
"longitude": "67.0124",
"poBox": "P.O. Box 123",
"match": true
}
},
"education": {
"missing": {
"degrees": [
"<string>"
],
"degreeTypes": [
"<string>"
]
},
"value": {
"degrees": [
"<string>"
],
"degreeTypes": [
"<string>"
],
"match": true
}
},
"skills": {
"missing": [
{
"name": "<string>",
"required": true
}
],
"value": [
{
"name": "Java Programming Language",
"match": true
}
]
},
"experience": {
"minimumExperience": 1,
"maximumExperience": 1,
"match": true
},
"occupationGroup": {
"missing": [
123
],
"value": {
"code": 1,
"name": "<string>",
"children": "<array>",
"parents": "<array>",
"match": true
}
},
"languages": {
"missing": [
{
"name": "<string>",
"required": true
}
],
"value": [
{
"name": "English",
"match": true
}
]
},
"managementLevel": {
"level": "Low",
"match": true
},
"searchExpression": {
"missing": [
"<string>"
],
"value": [
"<string>"
]
}
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}Get search result of specific job description
This contains more detailed information about the matching score of the search criteria, or which search criteria is missing in this job description.
The identifier is the unique ID returned via the /job_description_search endpoint.
curl --request POST \
--url https://{region}.affinda.com/v2/job_description_search/details/{identifier} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"indices": [
"all-job-descriptions"
],
"resume": "<string>",
"jobTitles": [
"<string>"
],
"jobTitlesRequired": true,
"jobTitlesWeight": 0.5,
"totalYearsExperience": 123,
"yearsExperienceRequired": true,
"yearsExperienceWeight": 0.5,
"locations": [
{
"name": "",
"coordinates": {
"latitude": 123,
"longitude": 123
},
"distance": 100,
"unit": "km"
}
],
"locationsWeight": 0.5,
"locationsRequired": true,
"skills": [
{
"name": "<string>",
"required": true
}
],
"skillsWeight": 0.5,
"languages": [
{
"name": "<string>",
"required": true
}
],
"languagesWeight": 0.5,
"degrees": [
"<string>"
],
"degreesRequired": true,
"degreeTypes": [
"bachelors"
],
"degreeTypesRequired": true,
"educationWeight": 0.5,
"searchExpression": "<string>",
"searchExpressionRequired": true,
"searchExpressionWeight": 0.5,
"socCodes": [
5000
],
"socCodesWeight": 0.5,
"socCodesRequired": true,
"managementLevel": "Low",
"managementLevelRequired": true,
"managementLevelWeight": 0.5,
"customData": [
{
"filterType": "equals",
"query": {
"value": true
},
"dataPoint": "isAvailable",
"field": "isAvailable",
"required": true,
"weight": 0.5
}
]
}
'import requests
url = "https://{region}.affinda.com/v2/job_description_search/details/{identifier}"
payload = {
"indices": ["all-job-descriptions"],
"resume": "<string>",
"jobTitles": ["<string>"],
"jobTitlesRequired": True,
"jobTitlesWeight": 0.5,
"totalYearsExperience": 123,
"yearsExperienceRequired": True,
"yearsExperienceWeight": 0.5,
"locations": [
{
"name": "",
"coordinates": {
"latitude": 123,
"longitude": 123
},
"distance": 100,
"unit": "km"
}
],
"locationsWeight": 0.5,
"locationsRequired": True,
"skills": [
{
"name": "<string>",
"required": True
}
],
"skillsWeight": 0.5,
"languages": [
{
"name": "<string>",
"required": True
}
],
"languagesWeight": 0.5,
"degrees": ["<string>"],
"degreesRequired": True,
"degreeTypes": ["bachelors"],
"degreeTypesRequired": True,
"educationWeight": 0.5,
"searchExpression": "<string>",
"searchExpressionRequired": True,
"searchExpressionWeight": 0.5,
"socCodes": [5000],
"socCodesWeight": 0.5,
"socCodesRequired": True,
"managementLevel": "Low",
"managementLevelRequired": True,
"managementLevelWeight": 0.5,
"customData": [
{
"filterType": "equals",
"query": { "value": True },
"dataPoint": "isAvailable",
"field": "isAvailable",
"required": True,
"weight": 0.5
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
indices: ['all-job-descriptions'],
resume: '<string>',
jobTitles: ['<string>'],
jobTitlesRequired: true,
jobTitlesWeight: 0.5,
totalYearsExperience: 123,
yearsExperienceRequired: true,
yearsExperienceWeight: 0.5,
locations: [
{
name: '',
coordinates: {latitude: 123, longitude: 123},
distance: 100,
unit: 'km'
}
],
locationsWeight: 0.5,
locationsRequired: true,
skills: [{name: '<string>', required: true}],
skillsWeight: 0.5,
languages: [{name: '<string>', required: true}],
languagesWeight: 0.5,
degrees: ['<string>'],
degreesRequired: true,
degreeTypes: ['bachelors'],
degreeTypesRequired: true,
educationWeight: 0.5,
searchExpression: '<string>',
searchExpressionRequired: true,
searchExpressionWeight: 0.5,
socCodes: [5000],
socCodesWeight: 0.5,
socCodesRequired: true,
managementLevel: 'Low',
managementLevelRequired: true,
managementLevelWeight: 0.5,
customData: [
{
filterType: 'equals',
query: {value: true},
dataPoint: 'isAvailable',
field: 'isAvailable',
required: true,
weight: 0.5
}
]
})
};
fetch('https://{region}.affinda.com/v2/job_description_search/details/{identifier}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"jobTitle": {
"missing": [
"<string>"
],
"value": {
"name": "Javascript developer",
"companyName": "Affinda",
"match": true
}
},
"location": {
"missing": [
{
"name": "",
"coordinates": {
"latitude": 123,
"longitude": 123
},
"distance": 100,
"unit": "km"
}
],
"value": {
"rawInput": "Blacksburg, VA",
"formatted": "Blacksburg, VA, USA",
"postalCode": "3124",
"state": "Virginia",
"stateCode": "TX",
"country": "United States",
"countryCode": "US",
"streetNumber": "1",
"street": "Smith St",
"apartmentNumber": "12",
"city": "Blacksburg",
"latitude": "67.0124",
"longitude": "67.0124",
"poBox": "P.O. Box 123",
"match": true
}
},
"education": {
"missing": {
"degrees": [
"<string>"
],
"degreeTypes": [
"<string>"
]
},
"value": {
"degrees": [
"<string>"
],
"degreeTypes": [
"<string>"
],
"match": true
}
},
"skills": {
"missing": [
{
"name": "<string>",
"required": true
}
],
"value": [
{
"name": "Java Programming Language",
"match": true
}
]
},
"experience": {
"minimumExperience": 1,
"maximumExperience": 1,
"match": true
},
"occupationGroup": {
"missing": [
123
],
"value": {
"code": 1,
"name": "<string>",
"children": "<array>",
"parents": "<array>",
"match": true
}
},
"languages": {
"missing": [
{
"name": "<string>",
"required": true
}
],
"value": [
{
"name": "English",
"match": true
}
]
},
"managementLevel": {
"level": "Low",
"match": true
},
"searchExpression": {
"missing": [
"<string>"
],
"value": [
"<string>"
]
}
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}Authorizations
Basic authentication using an API key, e.g. {Authorization: Bearer 75z0bb4fbdf97b7e4111ff6c0015471094155f91}.
You can find your API key within the Settings page of the Affinda web app. You can obtain an API key by signing up for a free trial.
Path Parameters
Job Description identifier
"ELgrnBbM"
Body
Search parameters
["all-job-descriptions"]A random string that uniquely identify the resource.
0 <= x <= 10 <= x <= 1Show child attributes
Show child attributes
0 <= x <= 1Show child attributes
Show child attributes
0 <= x <= 1Show child attributes
Show child attributes
0 <= x <= 1school, certificate, bachelors, masters, doctoral "bachelors"
0 <= x <= 10 <= x <= 11 <= x <= 99990 <= x <= 1None, Low, Mid, Upper "Low"
0 <= x <= 1Show child attributes
Show child attributes
Response
Successfully retrieved detail search result.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?